package dev.adriankuta.flights.model.repository.di

import dagger.Binds
import dagger.Module
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent
import dev.adriankuta.flights.domain.search.GetFlightsSearchContentUseCase
import dev.adriankuta.flights.model.repository.usecases.GetFlightsSearchContentUseCaseImpl

@Module
@InstallIn(SingletonComponent::class)
@Suppress("UnnecessaryAbstractClass")
internal abstract class GetFlightsSearchContentUseCaseModule {

    @Binds
    abstract fun bind(
        getFlightsSearchContentUseCaseImpl: GetFlightsSearchContentUseCaseImpl,
    ): GetFlightsSearchContentUseCase
}
