package dev.adriankuta.flights.model.repository.di

import dagger.Binds
import dagger.Module
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent
import dev.adriankuta.flights.domain.search.ObserveAirportsUseCase
import dev.adriankuta.flights.model.repository.usecases.ObserveAirportsUseCaseImpl

@Module
@InstallIn(SingletonComponent::class)
@Suppress("UnnecessaryAbstractClass")
internal abstract class ObserveAirportsUseCaseModule {

    @Binds
    abstract fun bind(
        observeAirportsUseCaseImpl: ObserveAirportsUseCaseImpl,
    ): ObserveAirportsUseCase
}
